<?php

declare(strict_types=1);

namespace App\Dictionary\EHealthCard;

/**
 * 电子健康卡 - 用卡费别
 *
 * @see https://open.tengmed.com/openAccess/docs/develop#76
 */
enum CardCostTypes: string
{
    case SELF_PAYMENT = '0100';

    case MEDICAL_INSURANCE = '0200';

    case PUBLIC_EXPENSE = '0300';

    case OTHER = '0000';

    /**
     * Label string
     */
    public function label(): string
    {
        return match ($this) {
            self::SELF_PAYMENT => '自费',
            self::MEDICAL_INSURANCE => '医保',
            self::PUBLIC_EXPENSE => '公费',
            self::OTHER => '其他',
        };
    }
}
