<?php

declare(strict_types=1);

namespace App\Dictionary\Order;

/**
 * 订单类型
 */
enum Type: int
{
    case TODAY_REGISTRATION = 1;

    case APPOINTMENT_REGISTRATION = 2;

    case OUTPATIENT_PAYMENT = 3;

    case INPATIENT_RECHARGE = 4;

    case OUTPATIENT_PREPAID_CARD_RECHARGE = 5;

    case INPATIENT_PREPAID_CARD_RECHARGE = 6;

    case OUTPATIENT_PREPAID_CARD_REFUND = 7;

    case INPATIENT_PREPAID_CARD_REFUND = 8;

    /**
     * Label string
     */
    public function label(): string
    {
        return match ($this) {
            self::TODAY_REGISTRATION => '当天挂号',
            self::APPOINTMENT_REGISTRATION => '预约挂号',
            self::OUTPATIENT_PAYMENT => '门诊缴费',
            self::INPATIENT_RECHARGE => '住院按金',
            self::OUTPATIENT_PREPAID_CARD_RECHARGE => '门诊预交金充值',
            self::INPATIENT_PREPAID_CARD_RECHARGE => '住院预交金充值',
            self::OUTPATIENT_PREPAID_CARD_REFUND => '门诊预交金退费',
            self::INPATIENT_PREPAID_CARD_REFUND => '住院预交金退费'
        };
    }
}
