<?php
declare(strict_types = 1);

namespace App\Exceptions;

use Exception;
use Symfony\Component\HttpFoundation\Response;

class GeneralException extends Exception
{
    protected int $status_code;

    public function __construct(string $message = 'An error occurred.', int $status_code = Response::HTTP_BAD_REQUEST)
    {
        parent::__construct($message);
        $this->status_code = $status_code;
    }

    public function getStatusCode(): int
    {
        return $this->status_code;
    }
}
