<?php

namespace App\Http\Resources\Registration\Record;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class RecordListsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request = null): array
    {
        $this->resource = xmlArrayToListByKey($this->resource, 'ITEM');

        $lists = [];
        foreach ($this->resource['ITEM'] as $v) {
            $lists[] = [
                'reg_serial_no' => $v['VISITNO'],
                'reg_type' => $v['FTYPE'],
                'reg_date' => $v['GHDATE'],
                'patient_id' => $v['PATIENTID'],
                'patient_name' => $v['PATIENTNAME'],
                'dept_id' => $v['DEPID'],
                'dept_name' => $v['DEPNAME'],
                'rank_id' => $v['RANKID'],
                'rank_name' => $v['RANKNAME'] ?? '',
                'start_time' => $v['STARTTIME'] ?? '',
                'end_time' => $v['ENDTIME'] ?? '',
                'dept_location' => $v['DEPLOCATION'],
                'reg_fee' => $v['PAYFEE'],
                'trea_id' => $v['TREAID'],
                'tran_snum' => $v['TRANSNUM'],
                'wait_no' => $v['WAITNUM'],
                'reg_status' => $v['STATUS'],
            ];
        }

        return $lists;
    }
}
