<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDepartmentTipsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('department_tips', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('dept_id', 10)->comment('科室ID');
            $table->string('title', 50)->comment('提示标题');
            $table->text('message')->comment('提示内容');
            $table->tinyInteger('is_enable')->default(1)->comment('是否启用 0 否 1 是');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('department_tips');
    }
}
