<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {

    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('doctors', static function (Blueprint $table) {
            $table->id();
            $table->string('doctor_id', 10)->index()->comment('医生ID');
            $table->string('doctor_name', 10)->comment('医生名称');
            $table->string('dept_id', 10)->index()->comment('科室ID');
            $table->string('dept_name', 20)->comment('医生名称');
            $table->string('title', 20)->comment('职称');
            $table->string('image', 128)->comment('医生图片');
            $table->smallInteger('sort')->index()->default(0)->comment('排序');
            $table->text('adept')->comment('擅长简介');
            $table->text('intro')->comment('详情');
            $table->timestamps();
            $table->engine = 'MyISAM';
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('doctors');
    }
};
