<?php

declare(strict_types=1);

namespace UnifyPayment\Cores\Contracts;

use ArrayAccess;

/**
 * @extends ArrayAccess
 */
interface Config extends ArrayAccess
{
    /**
     * @return array
     */
    public function all(): array;

    /**
     * @param string $key
     *
     * @return bool
     */
    public function has(string $key): bool;

    /**
     * @param string     $key
     * @param mixed|null $value
     *
     * @return void
     */
    public function set(string $key, $value = null): void;

    /**
     * @param array|string $key
     * @param mixed|null   $default
     *
     * @return mixed
     */
    public function get($key, $default = null);
}
