<?php

declare(strict_types=1);

namespace UnifyPayment\Cores\Traits;

use ReflectionClass;
use ReflectionException;
use UnifyPayment\Cores\Support\Str;

trait Arrayable
{
    /**
     * toArray.
     *
     * @throws ReflectionException
     */
    public function toArray(): array
    {
        $result = [];

        foreach ((new ReflectionClass($this))->getProperties() as $item) {
            $k = $item->getName();
            $method = 'get' . Str::studly($k);

            $result[$k] = method_exists($this, $method) ? $this->{$method}() : $this->{$k};
        }

        return $result;
    }
}
