<?php

declare(strict_types=1);

namespace UnifyPayment\Mock;

class CreateOrderHandler extends ResponseHandler
{
    /**
     * @return array
     */
    public function success(): array
    {
        $data = array_merge($this->getSuccessHeaderData('Create Success.'), [
            'response' => [
                'appId' => 'wx' . $this->faker->regexify('[0-9a-z]{15}'),
                'timeStamp' => $this->faker->unixTime(),
                'nonceStr' => $this->faker->regexify('[0-9a-zA-Z]{16}'),
                'package' => 'prepay_id=wx' . $this->faker->regexify('[0-9a-zA-Z]{34}'),
                'signType' => 'MD5',
                'paySign' => $this->faker->md5(),
                'merchantId' => 'STZL' . $this->faker->time('Ymd'),
                'merchantName' => $this->faker->company(),
                'channelId' => 'FD00' . $this->faker->randomDigit(),
                'channelName' => $this->faker->randomElement(['公众号支付', '小程序支付'])
            ]
        ]);

        return [
            self::SUCCESS_CODE,
            self::JSON_HEADER,
            json_encode($data, JSON_UNESCAPED_UNICODE)
        ];
    }

    /**
     * @return array
     */
    public function failure(): array
    {
        $data = $this->getFailureHeaderData($this->faker->sentence());

        return [
            self::FAILURE_CODE,
            self::JSON_HEADER,
            json_encode($data, JSON_UNESCAPED_UNICODE)
        ];
    }
}