<?php

declare(strict_types=1);

namespace UnifyPayment;

use Illuminate\Support\ServiceProvider;

class UnifyServiceProvider extends ServiceProvider
{
    /**
     * Boot Package Service.
     *
     * @return void
     */
    public function boot(): void
    {
        $this->publishes([
            __DIR__ . '/../config/unify.php' => config_path('unify.php'),
        ], 'config');
    }

    /**
     * Registering Application Services.
     *
     * @return void
     */
    public function register(): void
    {
        $this->mergeConfigFrom(
            __DIR__ . '/../config/unify.php',
            'unify'
        );

        $this->app->singleton('unify', function () {
            return new Factory(config('unify'));
        });
    }
}
